From 240480b8533ecb11518ab9e3db9b721c4d798c22 Mon Sep 17 00:00:00 2001
From: cypherpunks <cypherpunks@torproject.org>
Date: Fri, 27 Feb 2015 15:24:21 +0100
Subject: [PATCH 3/6] Remove relative paths to header files.

The paths are already in the directory search path of the compiler therefore no
need to include them in the source code.
---
 src/common/crypto.c      | 4 ++--
 src/common/tortls.c      | 4 ++--
 src/ext/eventdns.c       | 2 +-
 src/or/buffers.c         | 4 ++--
 src/or/dns.c             | 2 +-
 src/or/main.c            | 2 +-
 src/or/or.h              | 2 +-
 src/or/routerlist.c      | 2 +-
 src/tools/tor-checkkey.c | 2 +-
 src/tools/tor-gencert.c  | 4 ++--
 src/tools/tor-resolve.c  | 4 ++--
 11 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/src/common/crypto.c b/src/common/crypto.c
index 218c7be..91c4025 100644
--- a/src/common/crypto.c
+++ b/src/common/crypto.c
@@ -51,9 +51,9 @@
 
 #define CRYPTO_PRIVATE
 #include "crypto.h"
-#include "../common/torlog.h"
+#include "torlog.h"
 #include "aes.h"
-#include "../common/util.h"
+#include "util.h"
 #include "container.h"
 #include "compat.h"
 #include "sandbox.h"
diff --git a/src/common/tortls.c b/src/common/tortls.c
index 97a82bf..32106eb 100644
--- a/src/common/tortls.c
+++ b/src/common/tortls.c
@@ -789,7 +789,7 @@ const char UNRESTRICTED_SERVER_CIPHER_LIST[] =
 /** List of ciphers that clients should advertise, omitting items that
  * our OpenSSL doesn't know about. */
 static const char CLIENT_CIPHER_LIST[] =
-#include "./ciphers.inc"
+#include "ciphers.inc"
   /* Tell it not to use SSLv2 ciphers, so that it can select an SSLv3 version
    * of any cipher we say. */
   "!SSLv2"
@@ -804,7 +804,7 @@ typedef struct cipher_info_t { unsigned id; const char *name; } cipher_info_t;
 static const cipher_info_t CLIENT_CIPHER_INFO_LIST[] = {
 #define CIPHER(id, name) { id, name },
 #define XCIPHER(id, name) { id, #name },
-#include "./ciphers.inc"
+#include "ciphers.inc"
 #undef CIPHER
 #undef XCIPHER
 };
diff --git a/src/ext/eventdns.c b/src/ext/eventdns.c
index 2b2988f..a0c7ff2 100644
--- a/src/ext/eventdns.c
+++ b/src/ext/eventdns.c
@@ -37,7 +37,7 @@
  */
 
 #include "eventdns_tor.h"
-#include "../common/util.h"
+#include "util.h"
 #include <sys/types.h>
 /* #define NDEBUG */
 
diff --git a/src/or/buffers.c b/src/or/buffers.c
index be99744..8ef3279 100644
--- a/src/or/buffers.c
+++ b/src/or/buffers.c
@@ -20,8 +20,8 @@
 #include "control.h"
 #include "reasons.h"
 #include "ext_orport.h"
-#include "../common/util.h"
-#include "../common/torlog.h"
+#include "util.h"
+#include "torlog.h"
 #ifdef HAVE_UNISTD_H
 #include <unistd.h>
 #endif
diff --git a/src/or/dns.c b/src/or/dns.c
index cc4a169..db77d20 100644
--- a/src/or/dns.c
+++ b/src/or/dns.c
@@ -24,7 +24,7 @@
 #include "relay.h"
 #include "router.h"
 #include "ht.h"
-#include "../common/sandbox.h"
+#include "sandbox.h"
 #ifdef HAVE_EVENT2_DNS_H
 #include <event2/event.h>
 #include <event2/dns.h>
diff --git a/src/or/main.c b/src/or/main.c
index bc89458..8deabd4 100644
--- a/src/or/main.c
+++ b/src/or/main.c
@@ -63,7 +63,7 @@
 #include <openssl/crypto.h>
 #endif
 #include "memarea.h"
-#include "../common/sandbox.h"
+#include "sandbox.h"
 
 #ifdef HAVE_EVENT2_EVENT_H
 #include <event2/event.h>
diff --git a/src/or/or.h b/src/or/or.h
index 6723f93..f75e776 100644
--- a/src/or/or.h
+++ b/src/or/or.h
@@ -88,7 +88,7 @@
 
 #include "crypto.h"
 #include "tortls.h"
-#include "../common/torlog.h"
+#include "torlog.h"
 #include "container.h"
 #include "torgzip.h"
 #include "address.h"
diff --git a/src/or/routerlist.c b/src/or/routerlist.c
index f4f6200..98c3bb1 100644
--- a/src/or/routerlist.c
+++ b/src/or/routerlist.c
@@ -37,7 +37,7 @@
 #include "routerlist.h"
 #include "routerparse.h"
 #include "routerset.h"
-#include "../common/sandbox.h"
+#include "sandbox.h"
 // #define DEBUG_ROUTERLIST
 
 /****************************************************************************/
diff --git a/src/tools/tor-checkkey.c b/src/tools/tor-checkkey.c
index e404b68..ed68bdf 100644
--- a/src/tools/tor-checkkey.c
+++ b/src/tools/tor-checkkey.c
@@ -7,7 +7,7 @@
 #include <stdlib.h>
 #include "crypto.h"
 #include "torlog.h"
-#include "../common/util.h"
+#include "util.h"
 #include "compat.h"
 #include <openssl/bn.h>
 #include <openssl/rsa.h>
diff --git a/src/tools/tor-gencert.c b/src/tools/tor-gencert.c
index c599822..5ae1556 100644
--- a/src/tools/tor-gencert.c
+++ b/src/tools/tor-gencert.c
@@ -28,8 +28,8 @@
 #endif
 
 #include "compat.h"
-#include "../common/util.h"
-#include "../common/torlog.h"
+#include "util.h"
+#include "torlog.h"
 #include "crypto.h"
 #include "address.h"
 
diff --git a/src/tools/tor-resolve.c b/src/tools/tor-resolve.c
index 04815a6..19e3a55 100644
--- a/src/tools/tor-resolve.c
+++ b/src/tools/tor-resolve.c
@@ -5,9 +5,9 @@
 
 #include "orconfig.h"
 #include "compat.h"
-#include "../common/util.h"
+#include "util.h"
 #include "address.h"
-#include "../common/torlog.h"
+#include "torlog.h"
 #include "sandbox.h"
 
 #include <stdio.h>
